Skip to main content
REST API reference
A newer release of this product is available.

Updates a shadowcopy set

PATCH /protocols/cifs/shadowcopy-sets/{uuid}

Introduced In: 9.11

Updates a Shadowcopy set

Parameters

Name Type In Required Description

uuid

string

path

True

Storage shadowcopy set ID.

Request Body

Name Type Description

keep_snapshots

boolean

Request the storage system to keep the snapshot copies taken as a part of the shadow copy set creation.

svm

svm

uuid

string

The universally-unique identifier of the storage's shadow copy set.

Example request
{
  "keep_snapshots": "",
  "svm": {
    "name": "svm1",
    "uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
  },
  "uuid": "f8328660-00e6-11e6-80d9-005056bd65a9"
}

Response

Status: 200, Ok

Error

Status: Default, Error

Definitions

See Definitions

href

Name Type Description

href

string

svm

Name Type Description

name

string

The name of the SVM.

uuid

string

The unique identifier of the SVM.

shadowcopy_set

Name Type Description

keep_snapshots

boolean

Request the storage system to keep the snapshot copies taken as a part of the shadow copy set creation.

svm

svm

uuid

string

The universally-unique identifier of the storage's shadow copy set.

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response